<?php
/**
 * Plugin Name: Oxygen MyData
 * Plugin URI: https://wordpress.org/plugins/oxygen-mydata/
 * Description: A WordPress plugin to connect WooCommerce with Oxygen Pelatologio and MyData
 * Author: Oxygen
 * Author URI: https://pelatologio.gr/
 * Text Domain: oxygen
 * Domain Path: /languages/
 * Version: 1.0.6
 * Requires at least: 5.5
 * Tested up to: 6.1.1
 * WC requires at least: 4.7
 * WC tested up to: 7.1.0
 * License: GPL2
 *
 * Oxygen MyData for WooCommerce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Oxygen myData for WooCommerce. If not, see  https://www.gnu.org/licenses/gpl-2.0.html
 *
 * @package Oxygen
 * @version 1.0.6
 * @since  1.0.0
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'OXYGEN_PLUGIN_VERSION', '1.0.6' );
define( 'OXYGEN_PLUGIN_FILE', __FILE__ );
define( 'OXYGEN_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'OXYGEN_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );

// import main class.
require_once OXYGEN_PLUGIN_DIR . '/inc/class-oxygen.php';

add_action( 'woocommerce_loaded', array( 'Oxygen', 'init' ) );

/**
 * Proper ob_end_flush() for all levels
 *
 * This replaces the WordPress `wp_ob_end_flush_all()` function
 * with a replacement that doesn't cause PHP notices.
 */
remove_action( 'shutdown', 'wp_ob_end_flush_all', 1 );
add_action(
	'shutdown',
	function() {
		while ( @ob_end_flush() );
	}
);
